import pymunk
import pygame
import os
import math
import random
from loader import loader

class Plus:
	def __init__(self,space,pos):
		load = loader()
		self.orig = load.load(os.path.join("res","art","plus_large.png"))[0]
		self.surf = pygame.transform.rotate(self.orig,0)
		self.space = space
		self.body = pymunk.Body(1,10)
		points = [(28,8),(8,8),(8,28),(-8,28),(-8,8),(-28,8),(-28,-8),(-8,-8),(-8,-28),(8,-28),(8,-8),(28,-8)]
#		self.shape = pymunk.Poly(self.body,points,(0,0))
		self.radius = 56
		self.shape = pymunk.Circle(self.body,self.radius,(0,0))
		self.shape.body.position=pos
		self.space.add(self.body,self.shape)
		self.body.angular_velocity = random.random()/10 - 0.05
		self.old_angle = self.body.angle
		self.size = self.surf.get_size()
	
	def update(self):
		if self.old_angle != self.body.angle:
			self.old_angle = self.body.angle
			self.surf = pygame.transform.rotate(self.orig,self.old_angle * (360/2*math.pi))
			self.size = self.surf.get_size()
		True
	
	def draw(self,surf):
		surf.blit(self.surf,(self.shape.body.position[0]-self.radius-5,self.shape.body.position[1]-self.radius-8))
		#pygame.draw.circle(surf,(0,0,0),self.shape.body.position, self.radius, 1)