import pymunk
import pygame
import os
import math
import random
from loader import loader

class Ball:
	def __init__(self,space,pos):
		load = loader()
		self.orig = load.load(os.path.join("res","art","ball.png"))[0]
		self.surf = pygame.transform.rotate(self.orig,0)
		self.space = space
		self.body = pymunk.Body(1,10)
		self.radius = 16
		self.shape = pymunk.Circle(self.body,self.radius,(0,0))
		self.shape.body.position=pos
		self.space.add(self.body,self.shape)
		self.body.angular_velocity = random.random()/20
		self.old_angle = self.body.angle
	
	def update(self):
		if self.old_angle != self.body.angle:
			self.old_angle = self.body.angle
			self.surf = pygame.transform.rotate(self.orig,self.old_angle * (360/2*math.pi))
		True
	
	def draw(self,surf):
		surf.blit(self.surf,(self.shape.body.position[0]-self.radius,self.shape.body.position[1]-self.radius))
		#pygame.draw.circle(surf,(0,0,0),self.shape.body.position, self.radius, 1)