import pymunk
from constants import *
import pygame
import loader
import math
import os
from Config import *
from wall import Wall
from State import State

class Bucket:
	def __init__(self,space,pos):
		self.surfs = loader.loader().load(os.path.join("res","art","cup"))
		self.pos = pos
		self.size = self.surfs[0].get_size()
		self.walls = []
		self.walls.append( Wall(space,(pos[0]+12,pos[1]+95),(0,0),(79,64)) )
		self.walls.append( Wall(space,(pos[0]+97,pos[1]+10),(0,0),(64,77)) )
		self.walls.append( Wall(space,(pos[0]+93,pos[1]+155),(0,0),(68,-68)) )
		self.walls.append( Wall(space,(pos[0]+91,pos[1]+150),(0,0),(64,-64),BUCKETWALL) )
		self.state = State()
	
	def draw_bg(self,surf,x):
		if self.state.quality > 0:
			surf.blit(self.surfs[0],(self.pos[0]-x,self.pos[1]))
		else:
			for wall in self.walls:
				wall.draw(surf,x)
	
	def draw_fg(self,surf,x):
		if self.state.quality > 0:
			surf.blit(self.surfs[1],(self.pos[0]-x,self.pos[1]))
	
	def update(self):
		return True