import pygame
import loader
import os
from State import State

class Rope:
	def __init__(self):
		self.state = State()
		self.loader = loader.loader()
		rs = self.loader.load(os.path.join("res","art","rope.png"))[0]
		self.rope = pygame.transform.scale(rs,(rs.get_size()[0],self.state.screensize[1]-300))
		self.ball = self.loader.load(os.path.join("res","art","tiles"))[2]
		self.y = self.state.screensize[1]-320
		self.spawn = (35,self.y+30)
	
	def draw(self,surf,x):
		surf.blit(self.rope,(25-x,0))
		surf.blit(self.ball,(4-x,self.y))