import pygame
from State import State
import loader
import os

class TitleScreen:
	def __init__(self):
		self.loader = loader.loader()
		self.state = State()
		self.orig = self.loader.load(os.path.join("res","art","intro.png"))[0]
		self.size = self.orig.get_size()
		self.coords = (self.state.screensize[0]/2-self.size[0]/2,self.state.screensize[1]/2-self.size[1]/2)
	
	def draw(self,surf):
		surf.blit(self.orig,self.coords)